//*******************************************************
//       Copyright (c) 2003 Gennady A. Petrov
//*******************************************************
// initialise standart unit (see uses) for use with TFCResStrManager

unit FCRSRTLConsts;

interface

implementation
uses
  RTLConsts,
  FCResStrings;

initialization

  with FCResStrHolder do
  begin
    SetStringValue('RTLConsts_SAncestorNotFound', @SAncestorNotFound);
    SetStringValue('RTLConsts_SAssignError', @SAssignError);
    SetStringValue('RTLConsts_SBitsIndexError', @SBitsIndexError);
    SetStringValue('RTLConsts_SBucketListLocked', @SBucketListLocked);
    SetStringValue('RTLConsts_SCantWriteResourceStreamError', @SCantWriteResourceStreamError);
    SetStringValue('RTLConsts_SCharExpected', @SCharExpected);
    SetStringValue('RTLConsts_SCheckSynchronizeError', @SCheckSynchronizeError);
    SetStringValue('RTLConsts_SClassNotFound', @SClassNotFound);
    SetStringValue('RTLConsts_SDelimiterQuoteCharError', @SDelimiterQuoteCharError);
    SetStringValue('RTLConsts_SDuplicateClass', @SDuplicateClass);
    SetStringValue('RTLConsts_SDuplicateItem', @SDuplicateItem);
    SetStringValue('RTLConsts_SDuplicateName', @SDuplicateName);
    SetStringValue('RTLConsts_SDuplicateString', @SDuplicateString);
    SetStringValue('RTLConsts_SFCreateError', @SFCreateError);
    {$IFDEF DELPHI7}
    SetStringValue('RTLConsts_SFCreateErrorEx', @SFCreateErrorEx);
    {$ENDIF}
    SetStringValue('RTLConsts_SFixedColTooBig', @SFixedColTooBig);
    SetStringValue('RTLConsts_SFixedRowTooBig', @SFixedRowTooBig);
    SetStringValue('RTLConsts_SFOpenError', @SFOpenError);
    {$IFDEF DELPHI7}
    SetStringValue('RTLConsts_SFOpenErrorEx', @SFOpenErrorEx);
    {$ENDIF}    
    SetStringValue('RTLConsts_SGridTooLarge', @SGridTooLarge);
    SetStringValue('RTLConsts_SIdentifierExpected', @SIdentifierExpected);
    SetStringValue('RTLConsts_SIndexOutOfRange', @SIndexOutOfRange);
    SetStringValue('RTLConsts_SIniFileWriteError', @SIniFileWriteError);
    SetStringValue('RTLConsts_SInvalidActionCreation', @SInvalidActionCreation);
    SetStringValue('RTLConsts_SInvalidActionEnumeration', @SInvalidActionEnumeration);
    SetStringValue('RTLConsts_SInvalidActionRegistration', @SInvalidActionRegistration);
    SetStringValue('RTLConsts_SInvalidActionUnregistration', @SInvalidActionUnregistration);
    SetStringValue('RTLConsts_SInvalidBinary', @SInvalidBinary);
    SetStringValue('RTLConsts_SInvalidFileName', @SInvalidFileName);
    SetStringValue('RTLConsts_SInvalidImage', @SInvalidImage);
    SetStringValue('RTLConsts_SInvalidMask', @SInvalidMask);
    SetStringValue('RTLConsts_SInvalidName', @SInvalidName);
    SetStringValue('RTLConsts_SInvalidProperty', @SInvalidProperty);
    SetStringValue('RTLConsts_SInvalidPropertyElement', @SInvalidPropertyElement);
    SetStringValue('RTLConsts_SInvalidPropertyPath', @SInvalidPropertyPath);
    SetStringValue('RTLConsts_SInvalidPropertyType', @SInvalidPropertyType);
    SetStringValue('RTLConsts_SInvalidPropertyValue', @SInvalidPropertyValue);
    SetStringValue('RTLConsts_SInvalidRegType', @SInvalidRegType);
    SetStringValue('RTLConsts_SInvalidString', @SInvalidString);
    SetStringValue('RTLConsts_SInvalidStringGridOp', @SInvalidStringGridOp);
    SetStringValue('RTLConsts_SItemNotFound', @SItemNotFound);
    SetStringValue('RTLConsts_SLineTooLong', @SLineTooLong);
    SetStringValue('RTLConsts_SListCapacityError', @SListCapacityError);
    SetStringValue('RTLConsts_SListCountError', @SListCountError);
    SetStringValue('RTLConsts_SListIndexError', @SListIndexError);
    SetStringValue('RTLConsts_SMaskErr', @SMaskErr);
    SetStringValue('RTLConsts_SMaskEditErr', @SMaskEditErr);
    SetStringValue('RTLConsts_SMemoryStreamError', @SMemoryStreamError);
    SetStringValue('RTLConsts_SNoComSupport', @SNoComSupport);
    SetStringValue('RTLConsts_SNotPrinting', @SNotPrinting);
    SetStringValue('RTLConsts_SNumberExpected', @SNumberExpected);
    SetStringValue('RTLConsts_SParseError', @SParseError);
    SetStringValue('RTLConsts_SComponentNameTooLong', @SComponentNameTooLong);
    SetStringValue('RTLConsts_SPropertyException', @SPropertyException);
    SetStringValue('RTLConsts_SPrinting', @SPrinting);
    SetStringValue('RTLConsts_SReadError', @SReadError);
    SetStringValue('RTLConsts_SReadOnlyProperty', @SReadOnlyProperty);
    SetStringValue('RTLConsts_SRegCreateFailed', @SRegCreateFailed);
    SetStringValue('RTLConsts_SRegGetDataFailed', @SRegGetDataFailed);
    SetStringValue('RTLConsts_SRegisterError', @SRegisterError);
    SetStringValue('RTLConsts_SRegSetDataFailed', @SRegSetDataFailed);
    SetStringValue('RTLConsts_SResNotFound', @SResNotFound);
    SetStringValue('RTLConsts_SSeekNotImplemented', @SSeekNotImplemented);
    SetStringValue('RTLConsts_SSortedListError', @SSortedListError);
    SetStringValue('RTLConsts_SStringExpected', @SStringExpected);
    SetStringValue('RTLConsts_SSymbolExpected', @SSymbolExpected);
    SetStringValue('RTLConsts_STooManyDeleted', @STooManyDeleted);
    SetStringValue('RTLConsts_SUnknownGroup', @SUnknownGroup);
    SetStringValue('RTLConsts_SUnknownProperty', @SUnknownProperty);
    SetStringValue('RTLConsts_SWriteError', @SWriteError);
    SetStringValue('RTLConsts_SStreamSetSize', @SStreamSetSize);
    SetStringValue('RTLConsts_SThreadCreateError', @SThreadCreateError);
    SetStringValue('RTLConsts_SThreadError', @SThreadError);

    SetStringValue('RTLConsts_SInvalidDateDay', @SInvalidDateDay);
    SetStringValue('RTLConsts_SInvalidDateWeek', @SInvalidDateWeek);
    SetStringValue('RTLConsts_SInvalidDateMonthWeek', @SInvalidDateMonthWeek);
    SetStringValue('RTLConsts_SInvalidDayOfWeekInMonth', @SInvalidDayOfWeekInMonth);
    SetStringValue('RTLConsts_SInvalidJulianDate', @SInvalidJulianDate);
    SetStringValue('RTLConsts_SMissingDateTimeField', @SMissingDateTimeField);

    SetStringValue('RTLConsts_SConvIncompatibleTypes2', @SConvIncompatibleTypes2);
    SetStringValue('RTLConsts_SConvIncompatibleTypes3', @SConvIncompatibleTypes3);
    SetStringValue('RTLConsts_SConvIncompatibleTypes4', @SConvIncompatibleTypes4);
    SetStringValue('RTLConsts_SConvUnknownType', @SConvUnknownType);
    SetStringValue('RTLConsts_SConvDuplicateType', @SConvDuplicateType);
    SetStringValue('RTLConsts_SConvUnknownFamily', @SConvUnknownFamily);
    SetStringValue('RTLConsts_SConvDuplicateFamily', @SConvDuplicateFamily);
    SetStringValue('RTLConsts_SConvUnknownDescription', @SConvUnknownDescription);
    {$IFDEF DELPHI7}
    SetStringValue('RTLConsts_SConvUnknownDescriptionWithPrefix', @SConvUnknownDescriptionWithPrefix);
    {$ENDIF}
    SetStringValue('RTLConsts_SConvIllegalType', @SConvIllegalType);
    SetStringValue('RTLConsts_SConvIllegalFamily', @SConvIllegalFamily);
    SetStringValue('RTLConsts_SConvFactorZero', @SConvFactorZero);
    SetStringValue('RTLConsts_SConvStrParseError', @SConvStrParseError);
    SetStringValue('RTLConsts_SFailedToCallConstructor', @SFailedToCallConstructor);

    SetStringValue('RTLConsts_sWindowsSocketError', @sWindowsSocketError);
    SetStringValue('RTLConsts_sAsyncSocketError', @sAsyncSocketError);
    SetStringValue('RTLConsts_sNoAddress', @sNoAddress);
    SetStringValue('RTLConsts_sCannotListenOnOpen', @sCannotListenOnOpen);
    SetStringValue('RTLConsts_sCannotCreateSocket', @sCannotCreateSocket);
    SetStringValue('RTLConsts_sSocketAlreadyOpen', @sSocketAlreadyOpen);
    SetStringValue('RTLConsts_sCantChangeWhileActive', @sCantChangeWhileActive);
    SetStringValue('RTLConsts_sSocketMustBeBlocking', @sSocketMustBeBlocking);
    SetStringValue('RTLConsts_sSocketIOError', @sSocketIOError);
    SetStringValue('RTLConsts_sSocketRead', @sSocketRead);
    SetStringValue('RTLConsts_sSocketWrite', @sSocketWrite);

    {$IFDEF DELPHI7}
    SetStringValue('RTLConsts_SCmplxCouldNotParseImaginary', @SCmplxCouldNotParseImaginary);
    SetStringValue('RTLConsts_SCmplxCouldNotParseSymbol', @SCmplxCouldNotParseSymbol);
    SetStringValue('RTLConsts_SCmplxCouldNotParsePlus', @SCmplxCouldNotParsePlus);
    SetStringValue('RTLConsts_SCmplxCouldNotParseReal', @SCmplxCouldNotParseReal);
    SetStringValue('RTLConsts_SCmplxUnexpectedEOS', @SCmplxUnexpectedEOS);
    SetStringValue('RTLConsts_SCmplxUnexpectedChars', @SCmplxUnexpectedChars);
    SetStringValue('RTLConsts_SCmplxErrorSuffix', @SCmplxErrorSuffix);
    SetStringValue('RTLConsts_SDistanceDescription', @SDistanceDescription);
    SetStringValue('RTLConsts_SMicromicronsDescription', @SMicromicronsDescription);
    SetStringValue('RTLConsts_SAngstromsDescription', @SAngstromsDescription);
    SetStringValue('RTLConsts_SMillimicronsDescription', @SMillimicronsDescription);
    SetStringValue('RTLConsts_SMicronsDescription', @SMicronsDescription);
    SetStringValue('RTLConsts_SMillimetersDescription', @SMillimetersDescription);
    SetStringValue('RTLConsts_SCentimetersDescription', @SCentimetersDescription);
    SetStringValue('RTLConsts_SDecimetersDescription', @SDecimetersDescription);
    SetStringValue('RTLConsts_SMetersDescription', @SMetersDescription);
    SetStringValue('RTLConsts_SDecametersDescription', @SDecametersDescription);
    SetStringValue('RTLConsts_SHectometersDescription', @SHectometersDescription);
    SetStringValue('RTLConsts_SKilometersDescription', @SKilometersDescription);
    SetStringValue('RTLConsts_SMegametersDescription', @SMegametersDescription);
    SetStringValue('RTLConsts_SGigametersDescription', @SGigametersDescription);

    SetStringValue('RTLConsts_SInchesDescription', @SInchesDescription);
    SetStringValue('RTLConsts_SFeetDescription', @SFeetDescription);
    SetStringValue('RTLConsts_SYardsDescription', @SYardsDescription);
    SetStringValue('RTLConsts_SMilesDescription', @SMilesDescription);
    SetStringValue('RTLConsts_SNauticalMilesDescription', @SNauticalMilesDescription);
    SetStringValue('RTLConsts_SAstronomicalUnitsDescription', @SAstronomicalUnitsDescription);
    SetStringValue('RTLConsts_SLightYearsDescription', @SLightYearsDescription);
    SetStringValue('RTLConsts_SParsecsDescription', @SParsecsDescription);
    SetStringValue('RTLConsts_SCubitsDescription', @SCubitsDescription);
    SetStringValue('RTLConsts_SFathomsDescription', @SFathomsDescription);
    SetStringValue('RTLConsts_SFurlongsDescription', @SFurlongsDescription);
    SetStringValue('RTLConsts_SHandsDescription', @SHandsDescription);
    SetStringValue('RTLConsts_SPacesDescription', @SPacesDescription);
    SetStringValue('RTLConsts_SRodsDescription', @SRodsDescription);
    SetStringValue('RTLConsts_SChainsDescription', @SChainsDescription);
    SetStringValue('RTLConsts_SLinksDescription', @SLinksDescription);
    SetStringValue('RTLConsts_SPicasDescription', @SPicasDescription);
    SetStringValue('RTLConsts_SPointsDescription', @SPointsDescription);



    SetStringValue('RTLConsts_SAreaDescription', @SAreaDescription);


    SetStringValue('RTLConsts_SSquareMillimetersDescription', @SSquareMillimetersDescription);
    SetStringValue('RTLConsts_SSquareCentimetersDescription', @SSquareCentimetersDescription);
    SetStringValue('RTLConsts_SSquareDecimetersDescription', @SSquareDecimetersDescription);
    SetStringValue('RTLConsts_SSquareMetersDescription', @SSquareMetersDescription);
    SetStringValue('RTLConsts_SSquareDecametersDescription', @SSquareDecametersDescription);
    SetStringValue('RTLConsts_SSquareHectometersDescription', @SSquareHectometersDescription);
    SetStringValue('RTLConsts_SSquareKilometersDescription', @SSquareKilometersDescription);
    SetStringValue('RTLConsts_SSquareInchesDescription', @SSquareInchesDescription);
    SetStringValue('RTLConsts_SSquareFeetDescription', @SSquareFeetDescription);
    SetStringValue('RTLConsts_SSquareYardsDescription', @SSquareYardsDescription);
    SetStringValue('RTLConsts_SSquareMilesDescription', @SSquareMilesDescription);
    SetStringValue('RTLConsts_SAcresDescription', @SAcresDescription);
    SetStringValue('RTLConsts_SCentaresDescription', @SCentaresDescription);
    SetStringValue('RTLConsts_SAresDescription', @SAresDescription);
    SetStringValue('RTLConsts_SHectaresDescription', @SHectaresDescription);
    SetStringValue('RTLConsts_SSquareRodsDescription', @SSquareRodsDescription);



    SetStringValue('RTLConsts_SVolumeDescription', @SVolumeDescription);


    SetStringValue('RTLConsts_SCubicMillimetersDescription', @SCubicMillimetersDescription);
    SetStringValue('RTLConsts_SCubicCentimetersDescription', @SCubicCentimetersDescription);
    SetStringValue('RTLConsts_SCubicDecimetersDescription', @SCubicDecimetersDescription);
    SetStringValue('RTLConsts_SCubicMetersDescription', @SCubicMetersDescription);
    SetStringValue('RTLConsts_SCubicDecametersDescription', @SCubicDecametersDescription);
    SetStringValue('RTLConsts_SCubicHectometersDescription', @SCubicHectometersDescription);
    SetStringValue('RTLConsts_SCubicKilometersDescription', @SCubicKilometersDescription);
    SetStringValue('RTLConsts_SCubicInchesDescription', @SCubicInchesDescription);
    SetStringValue('RTLConsts_SCubicFeetDescription', @SCubicFeetDescription);
    SetStringValue('RTLConsts_SCubicYardsDescription', @SCubicYardsDescription);
    SetStringValue('RTLConsts_SCubicMilesDescription', @SCubicMilesDescription);
    SetStringValue('RTLConsts_SMilliLitersDescription', @SMilliLitersDescription);
    SetStringValue('RTLConsts_SCentiLitersDescription', @SCentiLitersDescription);
    SetStringValue('RTLConsts_SDeciLitersDescription', @SDeciLitersDescription);
    SetStringValue('RTLConsts_SLitersDescription', @SLitersDescription);
    SetStringValue('RTLConsts_SDecaLitersDescription', @SDecaLitersDescription);
    SetStringValue('RTLConsts_SHectoLitersDescription', @SHectoLitersDescription);
    SetStringValue('RTLConsts_SKiloLitersDescription', @SKiloLitersDescription);
    SetStringValue('RTLConsts_SAcreFeetDescription', @SAcreFeetDescription);
    SetStringValue('RTLConsts_SAcreInchesDescription', @SAcreInchesDescription);
    SetStringValue('RTLConsts_SCordsDescription', @SCordsDescription);
    SetStringValue('RTLConsts_SCordFeetDescription', @SCordFeetDescription);
    SetStringValue('RTLConsts_SDecisteresDescription', @SDecisteresDescription);
    SetStringValue('RTLConsts_SSteresDescription', @SSteresDescription);
    SetStringValue('RTLConsts_SDecasteresDescription', @SDecasteresDescription);


    SetStringValue('RTLConsts_SFluidGallonsDescription', @SFluidGallonsDescription);
    SetStringValue('RTLConsts_SFluidQuartsDescription', @SFluidQuartsDescription);
    SetStringValue('RTLConsts_SFluidPintsDescription', @SFluidPintsDescription);
    SetStringValue('RTLConsts_SFluidCupsDescription', @SFluidCupsDescription);
    SetStringValue('RTLConsts_SFluidGillsDescription', @SFluidGillsDescription);
    SetStringValue('RTLConsts_SFluidOuncesDescription', @SFluidOuncesDescription);
    SetStringValue('RTLConsts_SFluidTablespoonsDescription', @SFluidTablespoonsDescription);
    SetStringValue('RTLConsts_SFluidTeaspoonsDescription', @SFluidTeaspoonsDescription);


    SetStringValue('RTLConsts_SDryGallonsDescription', @SDryGallonsDescription);
    SetStringValue('RTLConsts_SDryQuartsDescription', @SDryQuartsDescription);
    SetStringValue('RTLConsts_SDryPintsDescription', @SDryPintsDescription);
    SetStringValue('RTLConsts_SDryPecksDescription', @SDryPecksDescription);
    SetStringValue('RTLConsts_SDryBucketsDescription', @SDryBucketsDescription);
    SetStringValue('RTLConsts_SDryBushelsDescription', @SDryBushelsDescription);


    SetStringValue('RTLConsts_SUKGallonsDescription', @SUKGallonsDescription);
    SetStringValue('RTLConsts_SUKPottlesDescription', @SUKPottlesDescription);
    SetStringValue('RTLConsts_SUKQuartsDescription', @SUKQuartsDescription);
    SetStringValue('RTLConsts_SUKPintsDescription', @SUKPintsDescription);
    SetStringValue('RTLConsts_SUKGillsDescription', @SUKGillsDescription);
    SetStringValue('RTLConsts_SUKOuncesDescription', @SUKOuncesDescription);
    SetStringValue('RTLConsts_SUKPecksDescription', @SUKPecksDescription);
    SetStringValue('RTLConsts_SUKBucketsDescription', @SUKBucketsDescription);
    SetStringValue('RTLConsts_SUKBushelsDescription', @SUKBushelsDescription);



    SetStringValue('RTLConsts_SMassDescription', @SMassDescription);


    SetStringValue('RTLConsts_SNanogramsDescription', @SNanogramsDescription);
    SetStringValue('RTLConsts_SMicrogramsDescription', @SMicrogramsDescription);
    SetStringValue('RTLConsts_SMilligramsDescription', @SMilligramsDescription);
    SetStringValue('RTLConsts_SCentigramsDescription', @SCentigramsDescription);
    SetStringValue('RTLConsts_SDecigramsDescription', @SDecigramsDescription);
    SetStringValue('RTLConsts_SGramsDescription', @SGramsDescription);
    SetStringValue('RTLConsts_SDecagramsDescription', @SDecagramsDescription);
    SetStringValue('RTLConsts_SHectogramsDescription', @SHectogramsDescription);
    SetStringValue('RTLConsts_SKilogramsDescription', @SKilogramsDescription);
    SetStringValue('RTLConsts_SMetricTonsDescription', @SMetricTonsDescription);
    SetStringValue('RTLConsts_SDramsDescription', @SDramsDescription);
    SetStringValue('RTLConsts_SGrainsDescription', @SGrainsDescription);
    SetStringValue('RTLConsts_STonsDescription', @STonsDescription);
    SetStringValue('RTLConsts_SLongTonsDescription', @SLongTonsDescription);
    SetStringValue('RTLConsts_SOuncesDescription', @SOuncesDescription);
    SetStringValue('RTLConsts_SPoundsDescription', @SPoundsDescription);
    SetStringValue('RTLConsts_SStonesDescription', @SStonesDescription);

    SetStringValue('RTLConsts_STemperatureDescription', @STemperatureDescription);


    SetStringValue('RTLConsts_SCelsiusDescription', @SCelsiusDescription);
    SetStringValue('RTLConsts_SKelvinDescription', @SKelvinDescription);
    SetStringValue('RTLConsts_SFahrenheitDescription', @SFahrenheitDescription);
    SetStringValue('RTLConsts_SRankineDescription', @SRankineDescription);
    SetStringValue('RTLConsts_SReaumurDescription', @SReaumurDescription);



    SetStringValue('RTLConsts_STimeDescription', @STimeDescription);


    SetStringValue('RTLConsts_SMilliSecondsDescription', @SMilliSecondsDescription);
    SetStringValue('RTLConsts_SSecondsDescription', @SSecondsDescription);
    SetStringValue('RTLConsts_SMinutesDescription', @SMinutesDescription);
    SetStringValue('RTLConsts_SHoursDescription', @SHoursDescription);
    SetStringValue('RTLConsts_SDaysDescription', @SDaysDescription);
    SetStringValue('RTLConsts_SWeeksDescription', @SWeeksDescription);
    SetStringValue('RTLConsts_SFortnightsDescription', @SFortnightsDescription);
    SetStringValue('RTLConsts_SMonthsDescription', @SMonthsDescription);
    SetStringValue('RTLConsts_SYearsDescription', @SYearsDescription);
    SetStringValue('RTLConsts_SDecadesDescription', @SDecadesDescription);
    SetStringValue('RTLConsts_SCenturiesDescription', @SCenturiesDescription);
    SetStringValue('RTLConsts_SMillenniaDescription', @SMillenniaDescription);
    SetStringValue('RTLConsts_SDateTimeDescription', @SDateTimeDescription);
    SetStringValue('RTLConsts_SJulianDateDescription', @SJulianDateDescription);
    SetStringValue('RTLConsts_SModifiedJulianDateDescription', @SModifiedJulianDateDescription);
    {$ENDIF}
    
    SetStringValue('RTLConsts_SInvalidDate', @SInvalidDate);
    SetStringValue('RTLConsts_SInvalidDateTime', @SInvalidDateTime);
    SetStringValue('RTLConsts_SInvalidInteger', @SInvalidInteger);
    SetStringValue('RTLConsts_SInvalidTime', @SInvalidTime);
    SetStringValue('RTLConsts_STimeEncodeError', @STimeEncodeError);
  end;

end.


